import numpy as np

def begin():
    small_no = int(input("Tahmin edilecek aralığın en küçük sayısını giriniz.")) 
    big_no = int(input("Tahmin edilecek aralığın en büyük sayısını giriniz."))
    sayi = np.random.randint(small_no,big_no+1)
    denemeler=[]
    print(f"Tahmin aralığı {small_no} ile {big_no} arasındadır")
    hak = int(input("Lütfen tahmin hakkı giriniz.\n Tahmin Hakkı:"))

    #while True:
    #    tahmin = (input("Sayı giriniz\nTahmin edilen sayı:"))
    #    if tahmin=="q":
    #        print("Oyun sona erdi. :(")
    #        break
    for i in range(hak):
        print("\n")
        print("-"*30)
        print(f"{i+1}. deneme")
        tahmin = int(input("Sayı giriniz\nTahmin edilen sayı:"))
        denemeler.append(tahmin)
    
        if tahmin<sayi:
            print("Tahmininiz küçük")
        elif tahmin>sayi:
            print("Tahmininiz büyük")
        else:
            #print(f"Doğru sonuca ulaştığınız!!  :) \nTahminiz: {tahmin} \nVerilen sayı: {sayi}",)
            print(
                f"Doğru sonuca ulaştığınız!!  :)\n"
                f"\033[1m\033[32mTahminiz: {tahmin}\033[0m\n"
                f"\033[1m\033[32mVerilen sayı: {sayi}\033[0m"
                )
            break
    
        print("-"*30)
    else:
        print("\nHaklarınız bitti 😕")
        print(f"Tutulan sayı: {sayi}")
    print("Denemeler:",denemeler)

if __name__ == '__main__':
    print("İyi Eğlenceler")
    begin()
